lagran Module Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Data Fields
lagran Module Reference
Collaboration diagram for lagran:

## Public Member Functions
subroutine | init_zone_class_param (ii, jj)
subroutine | lagr_init_zone_class_param (i_cz_params, r_cz_params)
| Initialize Lagrangian module parameters for a given zone and class. More...
subroutine | lagr_define_zone_class_param (class_id, zone_id, i_cz_params, r_cz_params)
| Define Lagrangian module parameters for a given zone and class. More...
subroutine | lagr_status (model, restart, frozen)
| Return Lagrangian model status. More...

## Data Fields
integer, save | iilagr
| activates (>0) or deactivates (=0) the Lagrangian module the different values correspond to the following modellings: More...
integer, save | isuila
| activation (=1) or not (=0) of a Lagrangian calculation restart. The calculation restart file read when this option is activated (ficaml) only contains the data related to the particles (see also isuist) the global calculation must also be a restart calculation More...
integer, save | isttio
| indicates the steady (=1) or unsteady (=0) state of the continuous phase flow in particular, isttio = 1 is needed in order to: calculate stationary statistics in the volume or at the boundaries (starting respectively from the Lagrangian iterations nstist and nstbor) and calculate time-averaged two-way coupling source terms (from the Lagrangian iteration nstits). Useful if iilagr=1 or iilagr=2 (if iilagr=3, then isttio=1 automatically) More...
integer, save | nbpart
| number of particles treated during one Lagrangian time step, must always be lower than nbpmax. Always useful, but initialised and updated without intervention of the user More...
integer, save | nbpnew
| number of new entering particles More...
integer, save | nbperr
| number of in error deleted particles More...
integer, save | nbptot
| total number of injected particles, since the beginning, including calculation restarts More...
integer, save | nbpout
| contains normally exited particles and in detection error exited particles More...
integer, save | nbpert
integer, save | ndepot
| number of deposed particles for ever, but keeped for post-processing More...
integer, save | nbpdep
| number of deposed particles More...
integer, save | nbpres
| number of re-entrained particles More...
double precision, save | dnbpar
| real value for nbpart More...
double precision, save | dnbpnw
| real value for nbpnew More...
double precision, save | dnbper
| real value for nbperr More...
double precision, save | dnbpou
| real value for nbpout More...
double precision, save | dnbdep
| real value for nbpdep More...
double precision, save | dnbres
| real value for nbres More...
integer, save | npclon
| number of cloned new particles More...
integer, save | npkill
| number of killed by error particles More...
integer, save | npcsup
| number of cloned particles More...
double precision, save | dnpclo
| real value for npclon More...
double precision, save | dnpkil
| real value for npkill More...
double precision, save | dnpcsu
| real value for npcsup More...
integer, save | iphyla
| activates (>0) or deactivates (=0) the physical models associated to the particles: More...
integer, save | itpvar
| activation (=1) or not (=0) of an evolution equation on the particle temperature (in degrees Celsius). Useful if iphyla=1 and if there is a thermal scalar associated with the continuous phase More...
integer, save | idpvar
| activation (=1) or not (=0) of an evolution equation on the particle diameter. Useful if iphyla = 1 More...
integer, save | impvar
| activation (=1) or not (=0) of an evolution equation on the particle mass Useful if si iphyla = 1 More...
double precision, save | tpart
| initialisation temperature (in degree Celsius) for the particles already present in the calculation domain when an evolution equation on the particle temperature is activated during a calculation (iphyla = 1 and itpvar = 1). Useful if isuila = 1 and itpvar = 0 in the previous calculation More...
double precision, save | cppart
| initialisation value for the specific heat ( ) of the particles already present in the calculation domain when an evolution equation on the particle temperature is activated during a calculation (iphyla = 1 and itpvar = 1). Useful if isuila = 1 and itpvar = 0 in the previous calculation More...
integer, save | idepst
integer, save | idlvo
integer | ngeol
| geometric parameters stored More...
integer, save | jimark
| Additional pointer in the ITEPA array (contains the particule state) More...
integer, save | jdiel
| Additional pointer in the ITEPA array (contains the particule state) More...
integer, save | jdfac
| Additional pointer in the ITEPA array (contains the particule state) More...
integer, save | jdifel
| Additional pointer in the ITEPA array (contains the particule state) More...
integer, save | jtraj
| Additional pointer in the ITEPA array (contains the particule state) More...
integer, save | jptdet
| Additional pointer in the ITEPA array (contains the particule state) More...
integer, save | jinjst
| Additional pointer in the ITEPA array (contains the particule state) More...
integer, save | jryplu
| Additional pointer in the ITEPA array (contains the particule state) More...
integer, save | jrinpf
| Additional pointer in the ITEPA array (contains the particule state) More...
integer, save | ireent
integer, save | jroll
| Additional pointer in ITEPA and TEPA arrays (contains particule state) More...
integer, save | jnbasg
| Additional pointer in ITEPA and TEPA arrays (contains particule state) More...
integer, save | jnbasp
| Additional pointer in ITEPA and TEPA arrays (contains particule state) More...
integer, save | jdepo
| Additional pointer in ITEPA and TEPA arrays (contains particule state) More...
integer, save | jfadh
| Additional pointer in ITEPA and TEPA arrays (contains particule state) More...
integer, save | jmfadh
| Additional pointer in ITEPA and TEPA arrays (contains particule state) More...
integer, save | jndisp
| Additional pointer in ITEPA and TEPA arrays (contains particule state) More...
double precision, save | espasg
| Parameter of the particle resuspension model. More...
double precision, save | denasp
| Parameter of the particle resuspension model. More...
double precision, save | modyeq
| Parameter of the particle resuspension model. More...
double precision, save | rayasp
| Parameter of the particle resuspension model. More...
double precision, save | rayasg
| Parameter of the particle resuspension model. More...
integer, save | iclogst
double precision, save | jamlim
| Parameter of the particle clogging model. More...
double precision, save | mporos
integer, save | iplas
| absolute iteration number (including the restarts) in the Lagrangian module ( i.e. Lagrangian time step number) More...
integer, save | iplar
| relative iteration number (including the restarts) in the Lagrangian module More...
double precision, save | dtp
| duration of a Lagrangian iteration More...
double precision, save | ttclag
| physical time of the Lagrangian simulation More...
integer, save | ierr
| error indicator More...
integer, save | jxp
| pointer to particle X coordinate for array ettp More...
integer, save | jyp
| pointer to particle Y coordinate for array ettp More...
integer, save | jzp
| pointer to particle Z coordinate for array ettp More...
integer, save | jup
| pointer to particle X velocity component for array ettp More...
integer, save | jvp
| pointer to particle Y velocity component for array ettp More...
integer, save | jwp
| pointer to particle Z velocity component for array ettp More...
integer, save | juf
| pointer to locally undisturbed X fluid velocity component for array ettp More...
integer, save | jvf
| pointer to locally undisturbed Y fluid velocity component for array ettp More...
integer, save | jwf
| pointer to locally undisturbed Z fluid velocity component for array ettp More...
integer, save | jmp
| pointer to particle mass for array ettp More...
integer, save | jdp
| pointer to particle diameter for array ettp More...
integer, save | jtp
| pointer to particle and locally undisturbed fluid flow temperature (Celsius) for array ettp More...
integer, save | jtf
| pointer to particle and locally undisturbed fluid flow temperature (Celsius) for array ettp More...
integer, save | jcp
| pointer to particle specific heat for array ettp More...
integer, dimension(nlayer), save | jhp
| pointer to coal particle temperature ( ) for array ettp More...
integer, save | jmwat
| pointer to water mass (for coal) for array ettp More...
integer, dimension(nlayer), save | jmch
| pointer to mass of reactive coal of the coal particle for array ettp More...
integer, dimension(nlayer), save | jmck
| pointer to mass of coke of the coal particle for array ettp More...
integer, save | jtaux
| pointer to work array for the second order in time for array ettp More...
integer, dimension(nusvar), save | jvls
| pointer to additional user variable for array ettp More...
integer, save | jrval
| pointer to random number associated with a particle for array tepa More...
integer, save | jrtsp
| pointer to particle residence time for array tepa More...
integer, save | jrpoi
| pointer to particle statistic weight for array tepa More...
integer, save | jreps
| pointer to particle emissivity for array tepa More...
integer, save | jrd0p
| pointer to coal particle initial diameter for array tepa More...
integer, save | jrdck
| pointer to coal particle shrinking core diameter for array tepa More...
integer, dimension(nlayer), save | jrhock
| pointer to coal density for array tepa More...
integer, save | jisor
| pointer to number of the current cell containing the particle for itepa array; this number is re-actualised during the trajectography step More...
integer, save | jinch
| pointer to number of the coal particle for itepa array More...
integer, save | jclst
| pointer to class of the particle for itepa array More...
integer, save | nvls
| pointer to number of additional variables related to the particles for itepa array. The additional variables can be accessed in the arrays ettp and ettpa by means of the pointer jvls: ettp(nbpt,jvls(ii)) and ettpa(nbpt,jvls(ii)) (nbpt is the index-number of the treated particle, and ii an integer between 1 and nvls) More...
integer, save | nfrlag
| number of boundary zones More...
integer, save | injcon
| activates (=1) or not (=0) the continuous injection of particles. this option allows to inject particles continuously during the duration of the Lagrangian time step dtp rather than only once at the beginning of the Lagrangian iteration. It helps avoiding the fractioning of the particles cloud close to the injection areas. More...
integer, dimension(nflagm), save | ilflag
| list of number of boundary zones More...
integer, dimension(nflagm), save | iusncl
| for all the nfrlag boundary zones previously identified, the number of classes nbclas (a class is a set of particles sharing the same physical properties and the same characteristics concerning the injection in the calculation domain) of entering particles is given: iusncl(izone) = nbclas. By default, the number of particle classes is zero. The maximum number of classes is nclagm (parameter stored in lagpar, whose default value is 20). More...
integer, dimension(nflagm), save | iusclb
| for all the nfrlag boundary zones previously identified, a particle boundary condition type is given. The categories of particle boundary condition types are marked out by the key words ientrl, isortl, irebol, idepo1, idepo2, iencrl. More...
integer, dimension(nflagm), save | iusmoy
| mean over a zone (if mean per zones is activated) More...
integer, dimension(:,:,:), allocatable | iuslag
| Some pieces of information must be given for each particle class associated with an injection zone. The first part consists in integers contained in the array iuslag. There are at the most ndlaim integers. These pieces of information must be provided for each class iclas and each particle injection zone izone. They are marked out by means of "pointers": More...
double precision, dimension(nflagm), save | deblag
| massic flow rate for a boudary zone More...
integer, save | ijnbp
| number of particles per class and per boudary zone More...
integer, save | ijfre
| injection frequency (if < 0 : particle are introduced only at first iteration More...
integer, save | ijuvw
| velocity condition type: More...
integer, save | ijprpd
integer, save | ijprtp
integer, save | ijprdp
| type of user profiles in uslag2: More...
integer, save | irawcl
| type of coal initial composition (if iphyla=2) More...
integer, save | inuchl
| coal number of the particle (if iphyla=2) More...
integer, save | iclst
| number of the statistics group More...
double precision, dimension(:,:,:), allocatable | ruslag
| some pieces of information must be given for each particle class associated with an injection zone. The second and last part consists in real numbers contained in the array ruslag. There are at the most ndlagm such real numbers. These pieces of information must be provided for each class iclas and each particle injection zone izone. They are marked out by means of "pointers": More...
integer, save | iuno
| particle velocity magnitude More...
integer, save | iupt
| particle u component by class and zone More...
integer, save | ivpt
| particle v component by class and zone More...
integer, save | iwpt
| particle w component by class and zone More...
integer, save | itpt
| particle temperature More...
integer, save | idpt
| particle diameter More...
integer, save | ivdpt
| particle diameter variance More...
integer, save | iropt
| density More...
integer, save | icpt
| particle specific heat More...
integer, save | ipoit
| particle weight More...
integer, save | idebt
| flow rate More...
integer, save | iepsi
| particle emissivity More...
integer, dimension(nlayer), save | ihpt
| particle temperature More...
integer, save | ifrmwt
| water mass fraction in coal particles More...
integer, dimension(nlayer), save | ifrmch
| active coal mass fraction in coal particles More...
integer, dimension(nlayer), save | ifrmck
| coke mass fraction in coal particles More...
integer, save | irdck
| diameter of shrinking core More...
integer, save | ird0p
| initial particle diameter (for coal particles) More...
integer, dimension(nlayer), save | irhock0
| coke density after pyrolysis (for coal particles) More...
integer, save | ilvx
| mean dispersed phase velocity X component More...
integer, save | ilvy
| mean dispersed phase velocity Y component More...
integer, save | ilvz
| mean dispersed phase velocity Z component More...
integer, save | ilpd
| sum of the statistical weights More...
integer, save | ilfv
| dispersed phase volumetric concentration More...
integer, save | ilts
| recidence time More...
integer, save | iltp
| phase temperature ( ) More...
integer, save | ildp
| dispersed phase mean diameter More...
integer, save | ilmp
| dispersed phase mean mass More...
integer, dimension(nlayer), save | ilhp
| temperature of the coal particle cloud ( ) More...
integer, save | ilmwat
| water mass More...
integer, dimension(nlayer), save | ilmch
| mass of reactive coal of the coal particle cloud More...
integer, dimension(nlayer), save | ilmck
| mass of coke of the coal particle cloud More...
integer, save | ildck
| shriking core diameter More...
integer, dimension(nussta), save | ilvu
| supplementary user volumetric statistics More...
integer, save | iactfv
integer, save | iactvx
integer, save | iactvy
integer, save | iactvz
integer, save | iactts
integer, save | istala
| activation (=1) or not (=0) of the calculation of the volume statistics related to the dispersed phase. if istala = 1, the calculation of the statistics is activated starting from the absolute iteration (including the restarts) idstnt. by default, the statistics are not stationary (reset to zero at every Lagrangian iteration). But if isttio=1, since the flow is steady, the statistics will be averaged overt he different time steps. the statistics represent the significant results on the particle cloud More...
integer, save | isuist
| during a Lagrangian calculation restart, indicates whether the particle statistics (volume and boundary) and two-way coupling terms are to be read from a restart file (=1) or reinitialised (=0). The file to be read is ficmls. Useful if isuila = 1 More...
integer, save | nvlsts
| number of additional user volume statistic the additional statistics (or their cumulated value in the stationary case) can be accessed in the array statis by means of the pointer ilvu: statis (iel,ilvu(ii)) (iel is the cell index-number and ii an integer between 1 and nvlsts). Useful if istala = 1 More...
integer, save | idstnt
| absolute Lagrangian iteration number (includings the restarts) after which the calculation of the volume statistics is activated. Useful if istala = 1 More...
integer, save | nstist
| absolute Lagrangian iteration number (includings the restarts) after which the volume statistics are cumulated over time (they are then said to be stationary). if the absolute Lagrangian iteration number is lower than nstist, or if the flow is unsteady (isttio=0), the statistics are reset to zero at every Lagrangian iteration (the volume statistics are then said to be non-stationary). Useful if istala=1 and isttio=1 More...
integer, save | npst
| number of iterations during which stationary volume statistics have been cumulated. Useful if istala=1, isttio=1 and if nstist is inferior or equal to the current Lagrangian iteration. npst is initialised and updated automatically by the code, its value is not to be modified by the user More...
integer, save | npstt
| number of iterations during which volume statistics have been calculated (the potential iterations during which non-stationary statistics have been calculated are counted in npstt). Useful if istala=1. npstt is initialised and updated automatically by the code, its value is not to be modified by the user More...
double precision, save | tstat
| if the volume statistics are calculated in a stationary way, tstat represents the physical time during which the statistics have been cumulated. if the volume statistics are calculated in a non-stationary way, then tstat=dtp (it is the Lagrangian time step, because the statistics are reset to zero at every iteration). Useful if istala=1. tstat is initialised and updated automatically by the code, its value is not to be modified by the user More...
double precision, save | seuil
| every cell of the calculation domain contains a certain quantity of particles, representing a certain statistical weight (sum of the statistical weights of all the particles present in the cell). seuil is the limit statistical weight value, below which the contribution of the cell in term of statistical weight is not taken into account in the volume statistics (for the complete turbulent dispersion model, in the Poisson's equation used to correct the mean velocities or in the listing and post-processing outputs). Useful if istala = 1 More...
character *32, dimension(nvplmx), save | nomlag
| name of the volumetric statistics, displayed in the listing and the post-processing files. The default value is given above, with "XXXX" representing a four digit number (for instance 0001, 0011 ...). Useful if istala = 1. Warning: this name is also used to reference information in the restart file (isuist =1). If the name of a variable is changed between two calculations, it will not be possible to read its value from the restart file More...
character *32, dimension(nvplmx), save | nomlav
integer, dimension(nvplmx), save | ihslag
| historic statistics options More...
integer, save | nbclst
| statistic per zone and per class More...
integer, save | ltsdyn
| activation (=1) or not (=0) of the two-way coupling on the dynamics of the continuous phase. Useful if iilagr = 2 and iccvfg = 0 More...
integer, save | ltsmas
| activation (=1) or not (=0) of the two-way coupling on the mass. Useful if iilagr = 2, iphyla = 1 and impvar = 1 More...
integer, save | ltsthe
| if iphyla = 1 and itpvar = 1, ltsthe activates (=1) or not (=0) the two-way coupling on temperature. if iphyla = 2, ltsthe activates (=1) or not (=0) the two-way coupling on the eulerian variables related to pulverised coal combustion. Useful if iilagr = 2 More...
integer, save | itsvx
| explicit source term for the continuous phase X velocity More...
integer, save | itsvy
| explicit source term for the continuous phase Y velocity More...
integer, save | itsvz
| explicit source term for the continuous phase Z velocity More...
integer, save | itsli
| implicit source term for the continuous phase velocity and for the turbulent energy if the model is used More...
integer, save | itske
| explicit source term for the turbulent dissipation and the turbulent energy if the turbulence model is used for the continuous phase More...
integer, save | itsr11
| source term for the Reynolds stress and the turbulent dissipation if the turbulence model is used for the continuous phase More...
integer, save | itsr12
| source term for the Reynolds stress and the turbulent dissipation if the turbulence model is used for the continuous phase More...
integer, save | itsr13
| source term for the Reynolds stress and the turbulent dissipation if the turbulence model is used for the continuous phase More...
integer, save | itsr22
| source term for the Reynolds stress and the turbulent dissipation if the turbulence model is used for the continuous phase More...
integer, save | itsr23
| source term for the Reynolds stress and the turbulent dissipation if the turbulence model is used for the continuous phase More...
integer, save | itsr33
| source term for the Reynolds stress and the turbulent dissipation if the turbulence model is used for the continuous phase More...
integer, save | itste
| explicit thermal source term for the thermal scalar of the continuous phase More...
integer, save | itsti
| implicit thermal source term for the thermal scalar of the continuous phase More...
integer, save | itsmas
| mass source term More...
integer, dimension(ncharm2), save | itsmv1
| source term for the light volatile matters More...
integer, dimension(ncharm2), save | itsmv2
| source term for the heavy volatile matters More...
integer, save | itsco
| source term for the carbon released during heterogeneous combustion More...
integer, save | itsfp4
| Variance of the air scalar. More...
integer, save | nstits
| number of absolute Lagrangian iterations (including the restarts) after which a time-average of the two-way coupling source terms is calculated. indeed, if the flow is steady (isttio=1), the average quantities that appear in the two-way coupling source terms can be calculated over different time steps, in order to get a better precision. if the number of absolute Lagrangian iterations is strictly inferior to nstits, the code considers that the flow has not yet reached its steady state (transition period) and the averages appearing in the source terms are reinitialised at each time step, as it is the case for unsteady flows (isttio=0). Useful if iilagr = 2 and isttio = 1 More...
integer, save | npts
| number of time steps for source terms accumulations More...
integer, save | ntxerr
| nomber of cells, whose vulumetric rate DODO (concentration ?)is greather than 0.8 More...
double precision, save | vmax
| maximum volumetric concentration reached More...
double precision, save | tmamax
| maximum massic concentration reached More...
integer, save | iroule
| activates (=1) or not (=0) of the particle cloning/fusion technique (option also called "Russian roulette"). when iroule = 1, the importance function must be specified via the array croule in the user subroutine uslaru More...
integer, save | iencra
| activates (=1) or not (=0) the option of coal particle fouling. It then is necessary to specify the domain boundaries on which fouling may take place. Useful if iphyla = 2 More...
integer, save | npencr
| encrustation data More...
double precision, dimension(ncharm2), save | enc1
| encrustation data More...
double precision, dimension(ncharm2), save | enc2
| encrustation data More...
double precision, dimension(ncharm2), save | tprenc
| limit temperature (in degree Celsius) below which the coal particles do not cause any fouling (if the fouling model is activated). Useful if iphyla = 2 and iencra = 1 More...
double precision, dimension(ncharm2), save | visref
| ash critical viscosity in , in the fouling model cf J.D. Watt et T. Fereday (J.Inst.Fuel, Vol.42-p99). Useful if iphyla = 2 and iencra = 1 More...
double precision, save | dnpenc
| encrustation data More...
double precision, save | cstham
| Hamaker constant for the particle/fluid/substrate system. More...
double precision, save | epseau
| Dielectric constant of the fluid. More...
double precision, save | phi1
| Electrokinetic potential of the first solid. More...
double precision, save | phi2
| Electrokinetic potential of the second solid. More...
double precision, save | fion
| Ionic force. More...
double precision | cstfar
| Faraday constant (C/mol) More...
double precision | epsvid
| Vacuum permittivity (F/m) More...
double precision | kboltz
| Boltzmann constant (J/K) More...
double precision | dcutof
| Cut-off distance for adhesion forces (assumed to be the Born distance) (m) More...
double precision | lambwl
| Characteristic retardation wavelength (m) for Hamaker constant. More...
integer, save | lamvbr
| brownnian motion activation More...
integer, save | nor
| number of lagrangian under step (1 or 2) More...
integer, save | nordre
| order of integration for the stochastic differential equations More...
integer, save | modcpl
| activates (>0) or not (=0) the complete turbulent dispersion model. When modcpl is strictly positive, its value is interpreted as the absolute Lagrangian time step number (including restarts) after which the complete model is applied. Since the complete model uses volume statistics, modcpl must either be 0 or be larger than idstnt. Useful if istala = 1 More...
integer, save | idirla
| direction (1=x, 2=y, 3=z) of the complete model. it corresponds to the main directions of the flow. Useful if modcpl > 0 More...
integer, save | idistu
| activation (=1) or not (=0) of the particle turbulent dispersion. The turbulent dispersion is compatible only with the RANS turbulent models ( , , v2f or ). (iturb=20, 21, 30, 31, 50 or 60). More...
integer, save | idiffl
| idiffl=1 suppresses the crossing trajectory effect, making turbulent dispersion for the particles identical to the turbulent diffusion of fluid particles. Useful if idistu=1 More...
integer, save | ilapoi
| activation (=1) or not (=0) of the solution of a Poisson's equation for the correction of the particle instantaneous velocities (in order to obtain a null divergence). this option is not validated and reserved to the development team. Do not change the default value More...
integer, save | nusbor
| number additional user data to record for the calculation of additional boundary statistics in parbor. Useful if iensi3=1 More...
integer, save | nstbor
| number of absolute Lagrangian iterations (including the restarts) after which the statistics at the boundaries are considered stationary are veraged (over time or over the number of interactions). If the number of absolute Lagrangian iterations is lower than nstbor, or if isttio=0, the statistics are reset to zero at every Lagrangian iteration (non-stationary statistics). Useful if iensi3=1 and isttio=1 More...
integer, save | npstf
| number of iterations during which stationary boundary statistics have been cumulated. Useful if iensi3=1, isttio=1 and nstbor inferior or equal to the current Lagrangian iteration. npstf is initialised and updated automatically by the code, its value is not to be modified by the user More...
integer, save | npstft
| number of iterations during which boundary statistics have been calculated (the potential iterations during which non-stationary statistics have been calculated are counted in npstft). Useful if iensi3=1. npstft is initialised and updated automatically by the code, its value is not to be modified by the user More...
integer, save | inbrbd
| activation (=1) or not (=0) of the recording of the number of particle/boundary interactions, and of the calculation of the associated boundary statistics. inbrd = 1 is a compulsory condition to use the particulate average imoybr = 2. Useful if iensi3=1 More...
integer, save | iflmbd
| activation (=1) or not (=0) of the recording of the particulate mass flow related to the particle/boundary interactions, and of the calculation of the associated boundary statistics. inbrd = 1 is a compulsory condition to use iflmbd=1. Useful if iensi3=1 and inbrbd=1 More...
integer, save | iangbd
| activation (=1) or not (=0) of the recording of the angle between a particle trajectory and a boundary face involved in a particle/boundary interaction, and of the calculation of the associated boundary statistics. Useful if iensi3=1 More...
integer, save | ivitbd
| activation (=1) or not (=0) of the recording of the velocity of a particle involved in a particle/boundary interaction, and of the calculation of the associated boundary statistics. Useful if iensi3=1 More...
integer, save | iencnbbd
integer, save | iencmabd
integer, save | iencdibd
integer, save | iencckbd
integer, save | inbr
| number of particle/boundary interactions More...
integer, save | iflm
| iflm: particle mass flow at the boundary faces More...
integer, save | iang
| iang: mean interaction angle with the boundary faces More...
integer, save | ivit
| ivit: mean interaction velocity with the boundary faces More...
integer, save | iencnb
integer, save | iencma
integer, save | iencdi
integer, save | iencck
integer, dimension(nusbrd), save | iusb
| supplementary user boundary statistics More...
integer, dimension(nusbrd+10), save | imoybr
| the recordings in parbor at every particle/boundary interaction are cumulated values (possibly reset to zero at every iteration in the non-stationary case). They must therefore be divided by a quantity to get boundary statistics. The user can choose between two average types: More...
integer, save | inclg
integer, save | iscovc
double precision, save | tstatp
| if the recording of the boundary statistics is stationary, tstatp contains the cumulated physical duration of the recording of the boundary statistics. if the recording of the boundary statisticss is non-stationary, then tstat=dtp (it is the Lagrangian time step, because the statistics are reset to zero at every time step). Useful if iensi3=1 More...
double precision, save | seuilf
| every boundary face of the mesh undergoes a certain number of interactions with particles, expressed in term of statistical weight (sum of the statistical weights of all the particles which have interacted with the boundary face). seuilf is the limit statistical weight value, below which the contribution of the face is not taken into account in the statistics at the boundaries for post-processing. Useful if iensi3=1 More...
character *50, dimension(nvplmx), save | nombrd
| name of the boundary statistics, displayed in the listing and the post-processing files. Useful if iensi3=1. Warning: this name is also used to reference information in the restart file (isuist =1). If the name of a variable is changed between two calculations, it will not be possible to read its value from the restart file More...
integer, save | iifrla
| ifrlag pointer in ia to identify boundary zones and faces More...
integer, save | iensi3
| activation (=1) or not (=0) of the recording of the particle/boundary interactions in parbor, and of the calculation of the statistics at the corresponding boundaries, for post-processing (EnSight6 format). By default, the statistics are non-stationary (reset to zero at every Lagrangian iteration). They may be stationary if isttio=1 (i.e. calculation of a cumulated value over time, and then calculation of an average over time or over the number of interactions with the boundary). More...
integer, save | ivisv1
| associates (=1) or not (=0) the variable "velocity of the locally undisturbed fluid flow field" with the output of particles or trajectories. More...
integer, save | ivisv2
| associates (=1) or not (=0) the variable "particle velocity" with the output of particles or trajectories. More...
integer, save | ivistp
| associates (=1) or not (=0) the variable "residence time" with the output of particles or trajectories. More...
integer, save | ivisdm
| associates (=1) or not (=0) the variable "particle diameter" with the output of particles or trajectories. More...
integer, save | iviste
| associates (=1) or not (=0) the variable "particle temperature" with the output of particles or trajectories. More...
integer, save | ivismp
| associates (=1) or not (=0) the variable "particle mass" with the output of particles or trajectories. More...
integer, save | ivisdk
| associates (=1) or not (=0) the variable "shrinking core diameter of the coal particles" with the output of particles or trajectories. useful only if iphyla = 2 More...
integer, save | ivisch
| associates (=1) or not (=0) the variable "mass of reactive coal of the coal particles" with the output of particles or trajectories. useful only if iphyla = 2 More...
integer, save | ivisck
| associates (=1) or not (=0) the variable "mass of coal of the coal particles" with the output of particles or trajectories. useful only if iphyla = 2 More...
integer, save | iviswat

## Member Function/Subroutine Documentation

subroutine init_zone_class_param | ( | integer | ii,
|  | integer | jj
| ) |  |

subroutine lagr_define_zone_class_param | ( | integer | class_id,
|  | integer | zone_id,
|  | integer, dimension(ndlaim) | i_cz_params,
|  | double precision, dimension(ndlagm) | r_cz_params
| ) |  |

Define Lagrangian module parameters for a given zone and class.

Parameters

  [in] | class_id | id of given particle class
  [in] | zone_id | id of given boundary zone
  [in] | i_cz_params | integer parameters for this class and zone
  [in] | r_cz_params | real parameters for this class and zone

subroutine lagr_init_zone_class_param | ( | integer, dimension(ndlaim) | i_cz_params,
|  | double precision, dimension(ndlagm) | r_cz_params
| ) |  |

Initialize Lagrangian module parameters for a given zone and class.

Parameters

  [in] | i_cz_params | integer parameters for this class and zone
  [in] | r_cz_params | real parameters for this class and zone

subroutine lagr_status | ( | integer(c_int), intent(out) | model,
|  | integer(c_int), intent(out) | restart,
|  | integer(c_int), intent(out) | frozen
| ) |  |

Return Lagrangian model status.

Parameters

  [out] | model | 0 without Lagrangian, 1 or 2 with Lagrangian
  [out] | restart | 1 for Lagrangian restart, 0 otherwise
  [out] | frozen | 1 for frozen Eulerian flow, 0 otherwise

The documentation for this module was generated from the following file:

- src/lagr/lagran.f90